Bug 241522 - deskutils/freeplane: Update to 1.7.10
Summary: deskutils/freeplane: Update to 1.7.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://www.freeplane.org/info/histor...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-10-27 14:16 UTC by Loïc Bartoletti
Modified: 2019-11-05 06:37 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments
freeplane 1.7.10 (4.29 KB, patch)
2019-10-27 14:16 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2019-10-27 14:16:04 UTC
Created attachment 208635 [details]
freeplane 1.7.10

deskutils/freeplane: Update to 1.7.10

  * Update to 1.7.10

Changelog:

   https://www.freeplane.org/info/history/history_en.txt

 
QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12, HEAD ; i386/amd64)
Comment 1 Automation User 2019-10-27 19:06:15 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/91804338
Comment 2 commit-hook freebsd_committer 2019-10-29 11:07:44 UTC
A commit references this bug:

Author: kai
Date: Tue Oct 29 11:06:42 UTC 2019
New revision: 515971
URL: https://svnweb.freebsd.org/changeset/ports/515971

Log:
  deskutils/freeplane: Update to 1.7.10

  Changelog:

  * Fix menu mnemonics
  * Do not output links twice when copying nodes to clipboard
  * Allow to change positions of LINE shape connectors
  * New action: Select nodes matching filter
  * Dark UI mode support (Look and feel and map template "Darcula")
  * Overwrite system properties from installation specific file
    <install-dir>/system.properties
  * Environment var FREEPLANE_JAVA_OPTION_FILE can override path to
    system.properties read on start
  * Add new properties  to connector API : dashArray, opacity, width,
    labelFontFamily and labelFontSize
  * Suggest to delete all user configuration and resource files on uninstall

  PR:		241522
  Submitted by:	Lo?c Bartoletti <lbartoletti@tuxfamily.org> (maintainer)
  MFH:		2019Q4

Changes:
  head/deskutils/freeplane/Makefile
  head/deskutils/freeplane/distinfo
  head/deskutils/freeplane/pkg-plist
Comment 3 Kai Knoblich freebsd_committer 2019-10-29 12:52:21 UTC
Committed to the head branch, thank you for the patch!

I'm going to commit the changes to the 2019Q4 branch, still waiting for approval from the ports-secteam.
Comment 4 commit-hook freebsd_committer 2019-11-05 06:30:21 UTC
A commit references this bug:

Author: kai
Date: Tue Nov  5 06:29:25 UTC 2019
New revision: 516775
URL: https://svnweb.freebsd.org/changeset/ports/516775

Log:
  MFH: r515971

  deskutils/freeplane: Update to 1.7.10

  Changelog:

  * Fix menu mnemonics
  * Do not output links twice when copying nodes to clipboard
  * Allow to change positions of LINE shape connectors
  * New action: Select nodes matching filter
  * Dark UI mode support (Look and feel and map template "Darcula")
  * Overwrite system properties from installation specific file
    <install-dir>/system.properties
  * Environment var FREEPLANE_JAVA_OPTION_FILE can override path to
    system.properties read on start
  * Add new properties  to connector API : dashArray, opacity, width,
    labelFontFamily and labelFontSize
  * Suggest to delete all user configuration and resource files on uninstall

  PR:		241522
  Submitted by:	Lo?c Bartoletti <lbartoletti@tuxfamily.org> (maintainer)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/deskutils/freeplane/Makefile
  branches/2019Q4/deskutils/freeplane/distinfo
  branches/2019Q4/deskutils/freeplane/pkg-plist
Comment 5 Kai Knoblich freebsd_committer 2019-11-05 06:37:13 UTC
Committed to the 2019Q4 branch, all done!